package dp.kotul.bamboospecsapplication.configuration;

public class ArtifactConfiguration {
    private String name;
    private String copyPattern;

    private String location;

    private boolean isShared = true;
    private boolean isRequired = true;

    public ArtifactConfiguration(String name, String copyPattern, String location, boolean isShared, boolean isRequired) {
        this.name = name;
        this.copyPattern = copyPattern;
        this.location = location;
        this.isShared = isShared;
        this.isRequired = isRequired;
    }

    public ArtifactConfiguration() {
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCopyPattern() {
        return copyPattern;
    }

    public void setCopyPattern(String copyPattern) {
        this.copyPattern = copyPattern;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public boolean isShared() {
        return isShared;
    }

    public void setShared(boolean shared) {
        isShared = shared;
    }

    public boolean isRequired() {
        return isRequired;
    }

    public void setRequired(boolean required) {
        isRequired = required;
    }
}
